#------------------------------------------------------------------------------
# include generic camera controls
exec( "_defCamera.cs" );


#------------------------------------------------------------------------------
newActionMap( Herc );
bindAction( keyboard, make, 1, TO, IDACTION_WEAPON_SELECT, 0.0 );
bindAction( keyboard, make, 2, TO, IDACTION_WEAPON_SELECT, 1.0 );
bindAction( keyboard, make, 3, TO, IDACTION_WEAPON_SELECT, 2.0 );
bindAction( keyboard, make, 4, TO, IDACTION_WEAPON_SELECT, 3.0 );
bindAction( keyboard, make, 5, TO, IDACTION_WEAPON_GROUP_TOGGLE, 0.0 );
bindAction( keyboard, make, 6, TO, IDACTION_WEAPON_GROUP_TOGGLE, 1.0 );
bindAction( keyboard, make, 7, TO, IDACTION_WEAPON_GROUP_TOGGLE, 2.0 );
bindAction( keyboard, make, 8, TO, IDACTION_WEAPON_GROUP_TOGGLE, 3.0 );
bindAction( keyboard, make, shift, 1, TO, IDACTION_WEAPON_GROUP_TOGGLE, 0.0 );
bindAction( keyboard, make, shift, 2, TO, IDACTION_WEAPON_GROUP_TOGGLE, 1.0 );
bindAction( keyboard, make, shift, 3, TO, IDACTION_WEAPON_GROUP_TOGGLE, 2.0 );
bindAction( keyboard, make, shift, 4, TO, IDACTION_WEAPON_GROUP_TOGGLE, 3.0 );
bindAction( keyboard, make, w, TO, IDACTION_WEAPON_ADJ, "+1.0" );
bindAction( keyboard, make, alt, w, TO, IDACTION_WEAPON_ADJ, -1.0 );
bindAction( keyboard, make, l, TO, IDACTION_WEAPON_MODE_SELECT, 0 );
bindAction( keyboard, make, z, TO, IDACTION_WEAPON_GROUP_SELECT, 0 );
bindAction( keyboard, make, x, TO, IDACTION_WEAPON_GROUP_SELECT, 1 );
bindAction( keyboard, make, c, TO, IDACTION_WEAPON_GROUP_SELECT, 2 );

bindAction( keyboard, make, backspace, TO, IDACTION_STOP );

bindAction( keyboard, make, left, TO, IDACTION_YAW, "+1.0" );
bindAction( keyboard, break, left, TO, IDACTION_YAW, 0.0 );
bindAction( keyboard, make, right, TO, IDACTION_YAW, -1.0 );
bindAction( keyboard, break, right, TO, IDACTION_YAW, 0.0 );

bindAction( keyboard, make, up, TO, IDACTION_SPEED, "+1.0" );
bindAction( keyboard, break, up, TO, IDACTION_SPEED, 0.0 );
bindAction( keyboard, make, down, TO, IDACTION_SPEED, -1.0 );
bindAction( keyboard, break, down, TO, IDACTION_SPEED, 0.0 );
bindAction( keyboard, break, p, TO, IDACTION_REACTOR );

bindAction( joystick, zaxis, TO, IDACTION_SPEED, deadzone, 0.1, center, square );
bindAction( joystick, xaxis, TO, IDACTION_ROLL, deadzone, 0.1, center, square );
bindAction( joystick, yaxis, TO, IDACTION_PITCH, deadzone, 0.1, center, square );
bindAction( joystick, rzaxis, TO, IDACTION_YAW, deadzone, 0.1, center, square );

bindAction( joystick, ypov, TO, IDACTION_ZOOM_SET );

bindAction( joystick, make, button0, TO, IDACTION_FIRE, 1.0 );
bindAction( joystick, break, button0, TO, IDACTION_FIRE, 0.0 );
bindAction( keyboard, make, space, TO, IDACTION_FIRE, 1.0 );
bindAction( keyboard, break, space, TO, IDACTION_FIRE, 0.0 );
bindAction( joystick, make, button1, TO, IDACTION_TARGET_SELECTED );
bindAction( joystick, make, button2, TO, IDACTION_ZOOM_SET, 1.0 );
bindAction( joystick, make, button3, TO, IDACTION_ZOOM_SET, 0.0 );

bindAction( keyboard, make, o, TO, IDACTION_USE_PROJECTILE_CAM );

bindAction( mouse0, xaxis, TO, IDACTION_LOOK_X, scale, 0.5, flip );
bindAction( mouse0, yaxis, TO, IDACTION_LOOK_Y, scale, 0.5, flip );
bindAction( mouse0, make, button0, TO, IDACTION_FIRE, 1.0 );
bindAction( mouse0, break, button0, TO, IDACTION_FIRE, 0.0 );
bindAction( mouse0, make, button1, TO, IDACTION_TARGET_SELECTED );

bindAction( keyboard, make, numpad0, TO, IDACTION_SHIELD, 0.0 );
bindAction( keyboard, make, prior, TO, IDACTION_SHIELD_TRACK, 0.0 );
bindAction( keyboard, make, numpad5, TO, IDACTION_SHIELD_FOCUS_SET, 0 );

bindAction( keyboard, make, home, TO, IDACTION_SHIELD_FOCUS_ADJ, 0.1 );
bindAction( keyboard, make, end, TO, IDACTION_SHIELD_FOCUS_ADJ, -0.1 );
bindAction( keyboard, make, delete, TO, IDACTION_SHIELD_ROTATION_ADJ, 0.0625 );
bindAction( keyboard, make, next, TO, IDACTION_SHIELD_ROTATION_ADJ, -0.0625 );

bindAction( keyboard, make, numpad8, TO, IDACTION_SHIELD_ROTATION_SET, 0.000 );
bindAction( keyboard, make, numpad7, TO, IDACTION_SHIELD_ROTATION_SET, 0.125 );
bindAction( keyboard, make, numpad4, TO, IDACTION_SHIELD_ROTATION_SET, 0.25 );
bindAction( keyboard, make, numpad1, TO, IDACTION_SHIELD_ROTATION_SET, 0.375 );
bindAction( keyboard, make, numpad2, TO, IDACTION_SHIELD_ROTATION_SET, 0.5 );
bindAction( keyboard, make, numpad3, TO, IDACTION_SHIELD_ROTATION_SET, 0.625 );
bindAction( keyboard, make, numpad6, TO, IDACTION_SHIELD_ROTATION_SET, 0.75 );
bindAction( keyboard, make, numpad9, TO, IDACTION_SHIELD_ROTATION_SET, 0.875 );

bindAction( keyboard, make, t, TO, IDACTION_TARGET_ADJ_ENEMY, "+1.0" );
bindAction( keyboard, make, y, TO, IDACTION_TARGET_ADJ_ENEMY, -1.0 );
bindAction( keyboard, make, u, TO, IDACTION_TARGET_CLOSEST_ENEMY );

bindAction( keyboard, make, a, TO, IDACTION_SENSOR_MODE_TOGGLE );
bindAction( keyboard, make, r, TO, IDACTION_SENSOR_RANGE_TOGGLE );
bindAction( keyboard, make, e, TO, IDACTION_SENSOR_RANGE_SET, 0.1 );

bindAction( keyboard, make, n, TO, IDACTION_NAVPOINT_NEXT );
bindAction( keyboard, make, v, TO, IDACTION_NAVPOINT_PREV );
bindAction( keyboard, make, b, TO, IDACTION_NAVPOINT_SET, -1 );

bindAction( keyboard, make, f, TO, IDACTION_FIRE, 1.0 );
bindAction( keyboard, break, f, TO, IDACTION_FIRE, 0.0 );
bindAction( keyboard, make, s, TO, IDACTION_FIRE, -1.0 );
bindAction( keyboard, break, s, TO, IDACTION_FIRE, 0.0 );

bindAction( keyboard, make, q, TO, IDACTION_ZOOM_SET, 1.0 );
bindAction( keyboard, break, q, TO, IDACTION_ZOOM_SET, 0.0 );

bindAction( keyboard, make, g, TO, IDACTION_CENTER_TURRET );
bindAction( keyboard, make, h, TO, IDACTION_CENTER_BODY );
