#------------------------------------------------------------------------------
#
# Generic keyboard Herc control script file
#

#------------------------------------------------------------------------------
newActionMap( Herc );

# Movement Controls
#---------------------------------------------------------
bindAction( keyboard, make, a, TO, IDACTION_YAW, "+1.0" );
bindAction( keyboard, break, a, TO, IDACTION_YAW, 0.0 );
bindAction( keyboard, make, d, TO, IDACTION_YAW, "-1.0" );
bindAction( keyboard, break, d, TO, IDACTION_YAW, 0.0 );
bindAction( keyboard, make, w, TO, IDACTION_SPEED, "+1.0" );
bindAction( keyboard, break, w, TO, IDACTION_SPEED, 0.0 );
bindAction( keyboard, make, x, TO, IDACTION_SPEED, "-1.0" );
bindAction( keyboard, break, x, TO, IDACTION_SPEED, 0.0 );
bindAction( keyboard, make, s, TO, IDACTION_STOP );
bindAction( keyboard, make, tab, TO, IDACTION_REVERSE_THROTTLE );

bindAction( keyboard, make, numpad4, TO, IDACTION_YAW, "+1.0" );
bindAction( keyboard, break, numpad4, TO, IDACTION_YAW, 0.0 );
bindAction( keyboard, make, numpad6, TO, IDACTION_YAW, "-1.0" );
bindAction( keyboard, break, numpad6, TO, IDACTION_YAW, 0.0 );
bindAction( keyboard, make, numpad8, TO, IDACTION_SPEED, "+1.0" );
bindAction( keyboard, break, numpad8, TO, IDACTION_SPEED, 0.0 );
bindAction( keyboard, make, numpad2, TO, IDACTION_SPEED, "-1.0" );
bindAction( keyboard, break, numpad2, TO, IDACTION_SPEED, 0.0 );
bindAction( keyboard, make, numpad5, TO, IDACTION_STOP );
bindAction( keyboard, make, numpad0, TO, IDACTION_REVERSE_THROTTLE );

bindAction( keyboard, make, left, TO, IDACTION_YAW, "+1.0" );
bindAction( keyboard, break, left, TO, IDACTION_YAW, 0.0 );
bindAction( keyboard, make, right, TO, IDACTION_YAW, "-1.0" );
bindAction( keyboard, break, right, TO, IDACTION_YAW, 0.0 );
bindAction( keyboard, make, up, TO, IDACTION_SPEED, "+1.0" );
bindAction( keyboard, break, up, TO, IDACTION_SPEED, 0.0 );
bindAction( keyboard, make, down, TO, IDACTION_SPEED, "-1.0" );
bindAction( keyboard, break, down, TO, IDACTION_SPEED, 0.0 );

# Weapon Controls
#----------------------------------------------------------------
bindAction( keyboard, make, 1, TO, IDACTION_WEAPON_SELECT, 0.0 );
bindAction( keyboard, make, 2, TO, IDACTION_WEAPON_SELECT, 1.0 );
bindAction( keyboard, make, 3, TO, IDACTION_WEAPON_SELECT, 2.0 );
bindAction( keyboard, make, 4, TO, IDACTION_WEAPON_SELECT, 3.0 );
bindAction( keyboard, make, shift, 1, TO, IDACTION_WEAPON_GROUP_TOGGLE, 0.0 );
bindAction( keyboard, make, shift, 2, TO, IDACTION_WEAPON_GROUP_TOGGLE, 1.0 );
bindAction( keyboard, make, shift, 3, TO, IDACTION_WEAPON_GROUP_TOGGLE, 2.0 );
bindAction( keyboard, make, shift, 4, TO, IDACTION_WEAPON_GROUP_TOGGLE, 3.0 );
bindAction( keyboard, make, control, 1, TO, IDACTION_WEAPON_GROUP_SELECT, 0.0 );
bindAction( keyboard, make, control, 2, TO, IDACTION_WEAPON_GROUP_SELECT, 1.0 );
bindAction( keyboard, make, control, 3, TO, IDACTION_WEAPON_GROUP_SELECT, 2.0 );

bindAction( keyboard, make, l, TO, IDACTION_WEAPON_MODE_SELECT);
bindAction( keyboard, make, ".", TO, IDACTION_WEAPON_GROUP_ADJ, 1.0 );
bindAction( keyboard, make, ",", TO, IDACTION_WEAPON_GROUP_ADJ, "-1.0" );
bindAction( keyboard, make, "numpad3", TO, IDACTION_WEAPON_GROUP_ADJ, "1.0" );
bindAction( keyboard, make, "numpad1", TO, IDACTION_WEAPON_GROUP_ADJ, "-1.0" );

bindAction( keyboard, make, space, TO, IDACTION_FIRE, 1.0);
bindAction( keyboard, break, space, TO, IDACTION_FIRE, 0.0);

# Targetting Controls
#-----------------------------------------------------------------
bindAction( keyboard, make, t, TO, IDACTION_TARGET_CLOSEST_ENEMY );
bindAction( keyboard, make, numpadenter, TO, IDACTION_TARGET_CLOSEST_ENEMY );
bindAction( keyboard, make, b, TO, IDACTION_TARGET_ADJ_ENEMY, "+1.0" );
bindAction( keyboard, make, g, TO, IDACTION_TARGET_ADJ_ENEMY, "-1.0" );
bindAction( keyboard, make, "numpad+", TO, IDACTION_TARGET_ADJ_ENEMY, "+1.0" );
bindAction( keyboard, make, "numpad-", TO, IDACTION_TARGET_ADJ_ENEMY, "-1.0" );

bindAction( keyboard, make, shift, t, TO, IDACTION_TARGET_CLOSEST_FRIENDLY );
bindAction( keyboard, make, shift, b, TO, IDACTION_TARGET_ADJ_FRIENDLY, "+1.0" );
bindAction( keyboard, make, shift, g, TO, IDACTION_TARGET_ADJ_FRIENDLY, "-1.0");


# Miscellaneous Controls
#-----------------------------------------------------------------
 
bindAction( keyboard, make, e, TO, IDACTION_CAMOUFLAGE );
bindAction( keyboard, make, "numpad*", TO, IDACTION_CAMOUFLAGE );

bindAction( keyboard, make, c, TO, IDACTION_CROUCH );
bindAction( keyboard, make, delete, TO, IDACTION_CROUCH );

bindAction( keyboard, make, r, TO, IDACTION_SENSOR_RANGE_TOGGLE );
bindAction( keyboard, make, shift, r, TO, IDACTION_SENSOR_MODE_TOGGLE );

bindAction( keyboard, make, "+", TO, IDACTION_NAVPOINT_NEXT );
bindAction( keyboard, make, "-", TO, IDACTION_NAVPOINT_PREV );

bindAction( keyboard, make, "numpad/", TO, IDACTION_ZOOM_ADJ, "+1.0" );
bindAction( keyboard, break, "numpad/", TO, IDACTION_ZOOM_ADJ, "-1.0" );
bindAction( keyboard, make, z, TO, IDACTION_ZOOM_ADJ,  1.0 );
bindAction( keyboard, break, z, TO, IDACTION_ZOOM_ADJ, "-1.0" );

bindAction( keyboard, make, shift, s, TO, IDACTION_REACTOR );

bindAction( keyboard, make, o, TO, IDACTION_USE_PROJECTILE_CAM );

bindAction( keyboard, make, enter, TO, IDACTION_SHIELD );
bindAction( keyboard, make, shift, enter, TO, IDACTION_SHIELD_TRACK );

bindAction( keyboard, make, "'", TO, IDACTION_SHIELD_FOCUS_ADJ, 0.2 );
bindAction( keyboard, make, "/", TO, IDACTION_SHIELD_FOCUS_ADJ, "-0.2" );

bindAction( keyboard, make, "[", TO, IDACTION_SHIELD_ROTATION_ADJ, 0.125 );
bindAction( keyboard, make, "]", TO, IDACTION_SHIELD_ROTATION_ADJ, "-0.125" );

bindAction( keyboard, make, u, TO, IDACTION_CENTER_TURRET );
bindAction( keyboard, make, j, TO, IDACTION_CENTER_BODY );






