#-------------------------------------------------
#  RC file to start a server automatically
#-------------------------------------------------
#
#-------------------------------------------------
# Edit the parameters of this file to configure
# your server options. Use notepad, not a word
# processor. File must be saved as text only.
#-------------------------------------------------
#
#-------------------------------------------------
# Type the name for your server inside the quotes
#-------------------------------------------------
#
$server::Hostname = "Dedicated Server";
#
#-------------------------------------------------
# Defualt UDP port number. Probably don't need to change.
#-------------------------------------------------
#
$server::UDPPortNumber = 28002;
#
#-------------------------------------------------
# Password Protection. Leave blank for none. 
# Quotes optional.
#-------------------------------------------------
#
$server::Password = "";
#
#-------------------------------------------------
# Maximum player limit. 16 is highest.
#-------------------------------------------------
#
$server::MaxPlayers = 16;
#
#-------------------------------------------------
# Number of kills before server cycles. 
# If zero, kills are never reset.
#-------------------------------------------------
#
$server::FragLimit = 0;
#
#-------------------------------------------------
# Time limit in minutes before server cycles. 
# Must be a positive integer.
#-------------------------------------------------
#
$server::TimeLimit = 10;
#
#-------------------------------------------------
# Mass limit per player
# Must be a positive integer or zero for no limit.
#-------------------------------------------------
#
$server::MassLimit = 0;
#
#-------------------------------------------------
# Combat Value limit per player
# Must be a positive integer or zero for no limit.
#-------------------------------------------------
#
$server::CombatValueLimit = 0;
#
#-------------------------------------------------
# Team play options. TeamPlay false = deathmatch. 
# TeamPlay true = teams.
#-------------------------------------------------
#
$server::TeamPlay = false;
#
#-------------------------------------------------
# Team Mass limit - valid only when teamPlay is true
# Must be a positive integer or zero for no limit.
#-------------------------------------------------
#
$server::TeamMassLimit = 0;
#
#-------------------------------------------------
# Team Combat Value Limit - valid only when teamPlay is true
# Must be a positive integer or zero for no limit.
#-------------------------------------------------
#
$server::TeamCombatValueLimit = 0;
#
#-------------------------------------------------
# Teach Level Limit
# Must be a positive integer less then or 
# equal to 128 or zero for no limit.
#-------------------------------------------------
#
$server::TechLevelLimit = 0;
#
#-------------------------------------------------
# Drop In Progress
# Does server allow drop in progress??
#-------------------------------------------------
#
$server::DropInProgress = true;
#
#-------------------------------------------------
# Mission rotation list. This is the order the
# worlds will cycle in a game with either the frag
# or time limits set.
#-------------------------------------------------
#
$MissionCycling::Stage0 = "DM_Heavens_Peak";
$MissionCycling::Stage1 = "DM_In_The_Village";
$MissionCycling::Stage2 = "DM_Night_N_Titan";
$MissionCycling::Stage3 = "DM_Twin_Siege";
$MissionCycling::Stage4 = "TDM_The_Guardian";
$MissionCycling::Stage5 = "TDM_Twilight_Bloodbath";

#
#-------------------------------------------------
# Start mission. Defines which mission from the
# rotation list the server starts on.
#-------------------------------------------------
#
$server::Mission = "DM_Heavens_Peak";
