#------------------------------------------------------------------------------
# include generic camera controls
exec( "_defCamera.cs" );


#------------------------------------------------------------------------------
# include generic keyboard controls
exec( "_defKeyboard.cs" );


#------------------------------------------------------------------------------
#
editActionMap( Herc );

# use arrow keys for movement (too)
bindAction( keyboard, make, left, TO, IDACTION_YAW, "+1.0" );
bindAction( keyboard, break, left, TO, IDACTION_YAW, 0.0 );
bindAction( keyboard, make, right, TO, IDACTION_YAW, -1.0 );
bindAction( keyboard, break, right, TO, IDACTION_YAW, 0.0 );
bindAction( keyboard, make, up, TO, IDACTION_SPEED, "+1.0" );
bindAction( keyboard, break, up, TO, IDACTION_SPEED, 0.0 );
bindAction( keyboard, make, down, TO, IDACTION_SPEED, -1.0 );
bindAction( keyboard, break, down, TO, IDACTION_SPEED, 0.0 );


# Add mouse to contol of the targeting cursor
bindAction( mouse0, make, button0, TO, IDACTION_FIRE, 1.0 );
bindAction( mouse0, break, button0, TO, IDACTION_FIRE, 0.0 );
bindAction( mouse0, make, shift, button0, TO, IDACTION_FIRE, -1.0 );
bindAction( mouse0, break, shift, button0, TO, IDACTION_FIRE, 0.0 );
bindAction( mouse0, break, button1, TO, IDACTION_TARGET_SELECTED );
bindAction( mouse0, break, button2, TO, IDACTION_TARGET_CLOSEST_ENEMY );
bindAction( mouse0, xaxis, TO, IDACTION_LOOK_X, scale, 0.5, flip );
bindAction( mouse0, yaxis, TO, IDACTION_LOOK_Y, scale, 0.5, flip );

# The zaxis may cause input problems with some mice. 
#bindAction mouse0 zaxis                    TO IDACTION_TARGET_ADJ_ENEMY scale 0.5


