#------------------------------------------------------------------------------
#
# Generic camera control script file
#

newActionMap( Camera );
#------- Joystick Controls
bindAction( joystick0, zaxis, TO, IDACTION_SPEED, deadzone, 0.1, center, square );
bindAction( joystick0, xaxis, TO, IDACTION_ROLL, deadzone, 0.1, center, square, flip );
bindAction( joystick0, yaxis, TO, IDACTION_PITCH, deadzone, 0.1, center, square, flip );
bindAction( joystick0, rzaxis, TO, IDACTION_YAW, deadzone, 0.1, center, square );
bindAction( joystick0, make, button0, TO, IDACTION_STOP );
bindAction( joystick0, make, button1, TO, IDACTION_TURBO );

bindAction( keyboard, make, a, TO, IDACTION_MOVE_X, -1.0 );
bindAction( keyboard, make, d, TO, IDACTION_MOVE_X, "+1.0" );
bindAction( keyboard, break, d, TO, IDACTION_MOVE_X, 0.0 );
bindAction( keyboard, break, a, TO, IDACTION_MOVE_X, 0.0 );

bindAction( keyboard, make, w, TO, IDACTION_MOVE_Z, "+1.0" );
bindAction( keyboard, make, s, TO, IDACTION_MOVE_Z, -1.0 );
bindAction( keyboard, break, w, TO, IDACTION_MOVE_Z, 0.0 );
bindAction( keyboard, break, s, TO, IDACTION_MOVE_Z, 0.0 );


#------------------------------------------------------------------------------
newActionMap( CameraOrbit );
#------- Joystick Controls
bindAction( joystick0, zaxis, TO, IDACTION_SPEED, deadzone, 0.1, center, square, flip );
bindAction( joystick0, yaxis, TO, IDACTION_PITCH, deadzone, 0.1, center, square );
bindAction( joystick0, rzaxis, TO, IDACTION_YAW, deadzone, 0.1, center, square );
bindAction( joystick0, make, button0, TO, IDACTION_NEXT );
bindAction( joystick0, make, button1, TO, IDACTION_PREV );
bindAction( joystick0, make, button2, TO, IDACTION_LOOK_X );
bindAction( joystick0, make, button3, TO, IDACTION_LOOK_Y );

# rotate clockwise/counter-clockwise
bindAction( keyboard, make, left, TO, IDACTION_YAW, -0.75 );
bindAction( keyboard, make, right, TO, IDACTION_YAW, "+0.75" );
bindAction( keyboard, break, left, TO, IDACTION_YAW, 0.0 );
bindAction( keyboard, break, right, TO, IDACTION_YAW, 0.0 );

# rotate up/down
bindAction( keyboard, make, up, TO, IDACTION_SPEED, 0.5 );
bindAction( keyboard, break, up, TO, IDACTION_SPEED, 0.0 );
bindAction( keyboard, make, down, TO, IDACTION_SPEED, -0.5 );
bindAction( keyboard, break, down, TO, IDACTION_SPEED, 0.0 );

# zoom in/out
bindAction( keyboard, make, shift, up, TO, IDACTION_MOVE_Y, -0.5 );
bindAction( keyboard, break, shift, up, TO, IDACTION_MOVE_Y, 0.0 );
bindAction( keyboard, make, shift, down, TO, IDACTION_MOVE_Y, 0.5 );
bindAction( keyboard, break, shift, down, TO, IDACTION_MOVE_Y, 0.0 );

